dbsql/test/scr019/chk.include

38 lines
717 B
Text
Raw Permalink Normal View History

2007-03-10 19:04:07 +00:00
#!/bin/sh -
#
# Check for inclusion of files already included in dbsql_int.h.
d=../..
# Test must be run from the top-level directory, not from a test directory.
[ -f $d/LICENSE ] || {
echo 'FAIL: cannot find source distribution directory.'
exit 1
}
t1=__1
t2=__2
trap 'rm -f $t1 $t2' 0 1 2 3 13 15
2007-03-10 19:04:07 +00:00
egrep -- '#include[ ]' $d/src/inc/dbsql_int.in |
sed -e '/[ ]db\.h'/d \
-e 's/^#include.//' \
-e 's/[<>"]//g' \
-e 's/[ ].*//' > $t1
for i in `cat $t1`; do
(cd $d && egrep "^#include[ ].*[<\"]$i[>\"]" */*.[ch])
done |
sed -e '/^build/d' \
-e '/^examples_c/d' \
-e '/^test_/d' \
> $t2
[ -s $t2 ] && {
echo 'FAIL: found extraneous includes in the source'
cat $t2
exit 1
}
exit 0